%define upstream_name     MIME-EncWords
%define upstream_version 1.014.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
Epoch:      1

Summary:    Deal with RFC-1522 encoded words (improved)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-MIME-EncWords-CVE-2016-1238.patch

BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64) >= 2.130.0
BuildRequires: perl(MIME::Charset) >= 1.10.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Fellow Americans, you probably won't know what the hell this module is for.
Europeans, Russians, et al, you probably do. :-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc ARTISTIC Changes GPL META.yml MYMETA.yml README
%{perl_vendorlib}/Encode
%{perl_vendorlib}/MIME
%{perl_vendorlib}/POD2
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1:1.14.3-7.mga9
+ Revision: 1804470
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:1.14.3-6.mga8
+ Revision: 1495596
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1:1.14.3-5.mga7
+ Revision: 1269255
- Mageia 7 Mass Rebuild

* Thu Apr 27 2017 neoclust <neoclust> 1:1.14.3-4.mga6
+ Revision: 1097804
- Add P0 - Fixes CVE-2016-1238 (mga#19051)

* Sun Jun 19 2016 pterjan <pterjan> 1:1.14.3-3.mga6
+ Revision: 1029891
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1:1.14.3-2.mga6
+ Revision: 965841
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 1:1.14.3-1.mga6
+ Revision: 838541
- update to 1.014.3

* Wed Oct 15 2014 umeabot <umeabot> 1:1.14.2-4.mga5
+ Revision: 750167
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.14.2-3.mga5
+ Revision: 685293
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:1.14.2-2.mga4
+ Revision: 533362
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 1:1.14.2-1.mga4
+ Revision: 472683
- update to 1.014.2

* Sun Aug 25 2013 sander85 <sander85> 1:1.14.1-1.mga4
+ Revision: 471606
- update to 1.014.1

* Mon Jun 10 2013 jquelin <jquelin> 1:1.14.0-1.mga4
+ Revision: 441666
- update to 1.014

* Sun Jan 13 2013 umeabot <umeabot> 1:1.12.6-2.mga3
+ Revision: 369324
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 1:1.12.6-1.mga3
+ Revision: 302415
- update to 1.012.6

* Thu Nov 03 2011 jquelin <jquelin> 1:1.12.4-1.mga2
+ Revision: 162235
- update to 1.012.4

* Fri Jun 17 2011 jquelin <jquelin> 1:1.12.3-1.mga2
+ Revision: 108872
- update to 1.012.3

* Sat Jan 22 2011 jquelin <jquelin> 1:1.12.0-2.mga1
+ Revision: 32151
- mageia rebuild
- imported package perl-MIME-EncWords


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1:1.12.0-2mdv2011.0
+ Revision: 564737
- rebuild for perl 5.12.1

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.12.0-1mdv2011.0
+ Revision: 552409
- update to 1.012

* Sat Jul 25 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.11.1-1mdv2010.1
+ Revision: 399734
- bumping epoch to take new version into account
- update to 1.011.1 for real this time
- using %%perl_convert_version
- fixed license field

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.011.1-1mdv2010.0
+ Revision: 387011
- update to new version 1.011.1

* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.011-1mdv2010.0
+ Revision: 377834
- update to new version 1.011

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.010.101-2mdv2009.0
+ Revision: 265416
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.010.101-1mdv2009.0
+ Revision: 196827
- update to new version 1.010.101

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.010.1-1mdv2009.0
+ Revision: 194860
- update to new version 1.010.1

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.010-1mdv2009.0
+ Revision: 193861
- update to new version 1.010

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.04.0-2mdv2008.1
+ Revision: 180434
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.04.0-1mdv2007.0
+ Revision: 86557
- new version

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03.2-1mdv2007.1
+ Revision: 84308
- fix doc files
- Import perl-MIME-EncWords

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03.2-1mdv2007.1
- first mdv release

